package mega.privacy.android.app.components.twemoji.category;

import androidx.annotation.DrawableRes;
import androidx.annotation.NonNull;

import mega.privacy.android.app.R;
import mega.privacy.android.app.components.twemoji.emoji.Emoji;
import mega.privacy.android.app.components.twemoji.emoji.EmojiCategory;

public final class NatureCategory implements EmojiCategory {
  private static final Emoji[] DATA = new Emoji[] {
    new Emoji(0x1f436, R.drawable.emoji_twitter_1f436),
    new Emoji(0x1f431, R.drawable.emoji_twitter_1f431),
    new Emoji(0x1f42d, R.drawable.emoji_twitter_1f42d),
    new Emoji(0x1f439, R.drawable.emoji_twitter_1f439),
    new Emoji(0x1f430, R.drawable.emoji_twitter_1f430),
    new Emoji(0x1f98a, R.drawable.emoji_twitter_1f98a),
    new Emoji(0x1f43b, R.drawable.emoji_twitter_1f43b),
    new Emoji(0x1f43c, R.drawable.emoji_twitter_1f43c),
    new Emoji(0x1f428, R.drawable.emoji_twitter_1f428),
    new Emoji(0x1f42f, R.drawable.emoji_twitter_1f42f),
    new Emoji(0x1f981, R.drawable.emoji_twitter_1f981),
    new Emoji(0x1f42e, R.drawable.emoji_twitter_1f42e),
    new Emoji(0x1f437, R.drawable.emoji_twitter_1f437),
    new Emoji(0x1f43d, R.drawable.emoji_twitter_1f43d),
    new Emoji(0x1f438, R.drawable.emoji_twitter_1f438),
    new Emoji(0x1f435, R.drawable.emoji_twitter_1f435),
    new Emoji(0x1f648, R.drawable.emoji_twitter_1f648),
    new Emoji(0x1f649, R.drawable.emoji_twitter_1f649),
    new Emoji(0x1f64a, R.drawable.emoji_twitter_1f64a),
    new Emoji(0x1f412, R.drawable.emoji_twitter_1f412),
    new Emoji(0x1f414, R.drawable.emoji_twitter_1f414),
    new Emoji(0x1f427, R.drawable.emoji_twitter_1f427),
    new Emoji(0x1f426, R.drawable.emoji_twitter_1f426),
    new Emoji(0x1f424, R.drawable.emoji_twitter_1f424),
    new Emoji(0x1f423, R.drawable.emoji_twitter_1f423),
    new Emoji(0x1f425, R.drawable.emoji_twitter_1f425),
    new Emoji(0x1f986, R.drawable.emoji_twitter_1f986),
    new Emoji(0x1f985, R.drawable.emoji_twitter_1f985),
    new Emoji(0x1f989, R.drawable.emoji_twitter_1f989),
    new Emoji(0x1f987, R.drawable.emoji_twitter_1f987),
    new Emoji(0x1f43a, R.drawable.emoji_twitter_1f43a),
    new Emoji(0x1f417, R.drawable.emoji_twitter_1f417),
    new Emoji(0x1f434, R.drawable.emoji_twitter_1f434),
    new Emoji(0x1f984, R.drawable.emoji_twitter_1f984),
    new Emoji(0x1f41d, R.drawable.emoji_twitter_1f41d),
    new Emoji(0x1f41b, R.drawable.emoji_twitter_1f41b),
    new Emoji(0x1f98b, R.drawable.emoji_twitter_1f98b),
    new Emoji(0x1f40c, R.drawable.emoji_twitter_1f40c),
    new Emoji(0x1f41a, R.drawable.emoji_twitter_1f41a),
    new Emoji(0x1f41e, R.drawable.emoji_twitter_1f41e),
    new Emoji(0x1f41c, R.drawable.emoji_twitter_1f41c),
    new Emoji(0x1f577, R.drawable.emoji_twitter_1f577),
    new Emoji(0x1f578, R.drawable.emoji_twitter_1f578),
    new Emoji(0x1f422, R.drawable.emoji_twitter_1f422),
    new Emoji(0x1f40d, R.drawable.emoji_twitter_1f40d),
    new Emoji(0x1f98e, R.drawable.emoji_twitter_1f98e),
    new Emoji(0x1f982, R.drawable.emoji_twitter_1f982),
    new Emoji(0x1f980, R.drawable.emoji_twitter_1f980),
    new Emoji(0x1f991, R.drawable.emoji_twitter_1f991),
    new Emoji(0x1f419, R.drawable.emoji_twitter_1f419),
    new Emoji(0x1f990, R.drawable.emoji_twitter_1f990),
    new Emoji(0x1f992, R.drawable.emoji_twitter_1f992),
    new Emoji(0x1f993, R.drawable.emoji_twitter_1f993),
    new Emoji(0x1f994, R.drawable.emoji_twitter_1f994),
    new Emoji(0x1f995, R.drawable.emoji_twitter_1f995),
    new Emoji(0x1f996, R.drawable.emoji_twitter_1f996),
    new Emoji(0x1f999, R.drawable.emoji_twitter_1f999),
    new Emoji(0x1f997, R.drawable.emoji_twitter_1f997),
    new Emoji(0x1f998, R.drawable.emoji_twitter_1f998),
    new Emoji(0x1f420, R.drawable.emoji_twitter_1f420),
    new Emoji(0x1f41f, R.drawable.emoji_twitter_1f41f),
    new Emoji(0x1f421, R.drawable.emoji_twitter_1f421),
    new Emoji(0x1f42c, R.drawable.emoji_twitter_1f42c),
    new Emoji(0x1f988, R.drawable.emoji_twitter_1f988),
    new Emoji(0x1f433, R.drawable.emoji_twitter_1f433),
    new Emoji(0x1f40b, R.drawable.emoji_twitter_1f40b),
    new Emoji(0x1f40a, R.drawable.emoji_twitter_1f40a),
    new Emoji(0x1f406, R.drawable.emoji_twitter_1f406),
    new Emoji(0x1f405, R.drawable.emoji_twitter_1f405),
    new Emoji(0x1f403, R.drawable.emoji_twitter_1f403),
    new Emoji(0x1f402, R.drawable.emoji_twitter_1f402),
    new Emoji(0x1f404, R.drawable.emoji_twitter_1f404),
    new Emoji(0x1f98c, R.drawable.emoji_twitter_1f98c),
    new Emoji(0x1f42a, R.drawable.emoji_twitter_1f42a),
    new Emoji(0x1f42b, R.drawable.emoji_twitter_1f42b),
    new Emoji(0x1f418, R.drawable.emoji_twitter_1f418),
    new Emoji(0x1f98f, R.drawable.emoji_twitter_1f98f),
    new Emoji(0x1f98d, R.drawable.emoji_twitter_1f98d),
    new Emoji(0x1f40e, R.drawable.emoji_twitter_1f40e),
    new Emoji(0x1f416, R.drawable.emoji_twitter_1f416),
    new Emoji(0x1f410, R.drawable.emoji_twitter_1f410),
    new Emoji(0x1f40f, R.drawable.emoji_twitter_1f40f),
    new Emoji(0x1f411, R.drawable.emoji_twitter_1f411),
    new Emoji(0x1f415, R.drawable.emoji_twitter_1f415),
    new Emoji(0x1f429, R.drawable.emoji_twitter_1f429),
    new Emoji(0x1f408, R.drawable.emoji_twitter_1f408),
    new Emoji(0x1f413, R.drawable.emoji_twitter_1f413),
    new Emoji(0x1f983, R.drawable.emoji_twitter_1f983),
    new Emoji(0x1f54a, R.drawable.emoji_twitter_1f54a),
    new Emoji(0x1f407, R.drawable.emoji_twitter_1f407),
    new Emoji(0x1f401, R.drawable.emoji_twitter_1f401),
    new Emoji(0x1f400, R.drawable.emoji_twitter_1f400),
    new Emoji(0x1f43f, R.drawable.emoji_twitter_1f43f),
    new Emoji(0x1f9a0, R.drawable.emoji_twitter_1f9a0),
    new Emoji(0x1f9a1, R.drawable.emoji_twitter_1f9a1),
    new Emoji(0x1f9a2, R.drawable.emoji_twitter_1f9a2),
    new Emoji(0x1f99a, R.drawable.emoji_twitter_1f99a),
    new Emoji(0x1f99b, R.drawable.emoji_twitter_1f99b),
    new Emoji(0x1f99c, R.drawable.emoji_twitter_1f99c),
    new Emoji(0x1f99d, R.drawable.emoji_twitter_1f99d),
    new Emoji(0x1f99e, R.drawable.emoji_twitter_1f99e),
    new Emoji(0x1f99f, R.drawable.emoji_twitter_1f99f),
    new Emoji(0x1f43e, R.drawable.emoji_twitter_1f43e),
    new Emoji(0x1f409, R.drawable.emoji_twitter_1f409),
    new Emoji(0x1f432, R.drawable.emoji_twitter_1f432),
    new Emoji(0x1f335, R.drawable.emoji_twitter_1f335),
    new Emoji(0x1f384, R.drawable.emoji_twitter_1f384),
    new Emoji(0x1f332, R.drawable.emoji_twitter_1f332),
    new Emoji(0x1f333, R.drawable.emoji_twitter_1f333),
    new Emoji(0x1f334, R.drawable.emoji_twitter_1f334),
    new Emoji(0x1f331, R.drawable.emoji_twitter_1f331),
    new Emoji(0x1f33f, R.drawable.emoji_twitter_1f33f),
    new Emoji(0x2618, R.drawable.emoji_twitter_2618),
    new Emoji(0x1f340, R.drawable.emoji_twitter_1f340),
    new Emoji(0x1f38d, R.drawable.emoji_twitter_1f38d),
    new Emoji(0x1f38b, R.drawable.emoji_twitter_1f38b),
    new Emoji(0x1f343, R.drawable.emoji_twitter_1f343),
    new Emoji(0x1f342, R.drawable.emoji_twitter_1f342),
    new Emoji(0x1f341, R.drawable.emoji_twitter_1f341),
    new Emoji(0x1f344, R.drawable.emoji_twitter_1f344),
    new Emoji(0x1f33e, R.drawable.emoji_twitter_1f33e),
    new Emoji(0x1f490, R.drawable.emoji_twitter_1f490),
    new Emoji(0x1f337, R.drawable.emoji_twitter_1f337),
    new Emoji(0x1f339, R.drawable.emoji_twitter_1f339),
    new Emoji(0x1f940, R.drawable.emoji_twitter_1f940),
    new Emoji(0x1f33b, R.drawable.emoji_twitter_1f33b),
    new Emoji(0x1f33c, R.drawable.emoji_twitter_1f33c),
    new Emoji(0x1f338, R.drawable.emoji_twitter_1f338),
    new Emoji(0x1f33a, R.drawable.emoji_twitter_1f33a),
    new Emoji(0x1f30e, R.drawable.emoji_twitter_1f30e),
    new Emoji(0x1f30d, R.drawable.emoji_twitter_1f30d),
    new Emoji(0x1f30f, R.drawable.emoji_twitter_1f30f),
    new Emoji(0x1f315, R.drawable.emoji_twitter_1f315),
    new Emoji(0x1f316, R.drawable.emoji_twitter_1f316),
    new Emoji(0x1f317, R.drawable.emoji_twitter_1f317),
    new Emoji(0x1f318, R.drawable.emoji_twitter_1f318),
    new Emoji(0x1f311, R.drawable.emoji_twitter_1f311),
    new Emoji(0x1f312, R.drawable.emoji_twitter_1f312),
    new Emoji(0x1f313, R.drawable.emoji_twitter_1f313),
    new Emoji(0x1f314, R.drawable.emoji_twitter_1f314),
    new Emoji(0x1f31a, R.drawable.emoji_twitter_1f31a),
    new Emoji(0x1f31d, R.drawable.emoji_twitter_1f31d),
    new Emoji(0x1f31e, R.drawable.emoji_twitter_1f31e),
    new Emoji(0x1f31b, R.drawable.emoji_twitter_1f31b),
    new Emoji(0x1f31c, R.drawable.emoji_twitter_1f31c),
    new Emoji(0x1f319, R.drawable.emoji_twitter_1f319),
    new Emoji(0x1f4ab, R.drawable.emoji_twitter_1f4ab),
    new Emoji(0x2b50, R.drawable.emoji_twitter_2b50),
    new Emoji(0x1f31f, R.drawable.emoji_twitter_1f31f),
    new Emoji(0x2728, R.drawable.emoji_twitter_2728),
    new Emoji(0x26a1, R.drawable.emoji_twitter_26a1),
    new Emoji(0x1f525, R.drawable.emoji_twitter_1f525),
    new Emoji(0x1f4a5, R.drawable.emoji_twitter_1f4a5),
    new Emoji(0x2604, R.drawable.emoji_twitter_2604),
    new Emoji(0x2600, R.drawable.emoji_twitter_2600),
    new Emoji(0x1f324, R.drawable.emoji_twitter_1f324),
    new Emoji(0x26c5, R.drawable.emoji_twitter_26c5),
    new Emoji(0x1f325, R.drawable.emoji_twitter_1f325),
    new Emoji(0x1f326, R.drawable.emoji_twitter_1f326),
    new Emoji(0x1f308, R.drawable.emoji_twitter_1f308),
    new Emoji(0x2601, R.drawable.emoji_twitter_2601),
    new Emoji(0x1f327, R.drawable.emoji_twitter_1f327),
    new Emoji(0x26c8, R.drawable.emoji_twitter_26c8),
    new Emoji(0x1f329, R.drawable.emoji_twitter_1f329),
    new Emoji(0x1f328, R.drawable.emoji_twitter_1f328),
    new Emoji(0x2603, R.drawable.emoji_twitter_2603),
    new Emoji(0x26c4, R.drawable.emoji_twitter_26c4),
    new Emoji(0x2744, R.drawable.emoji_twitter_2744),
    new Emoji(0x1f32c, R.drawable.emoji_twitter_1f32c),
    new Emoji(0x1f4a8, R.drawable.emoji_twitter_1f4a8),
    new Emoji(0x1f32a, R.drawable.emoji_twitter_1f32a),
    new Emoji(0x1f32b, R.drawable.emoji_twitter_1f32b),
    new Emoji(0x1f30a, R.drawable.emoji_twitter_1f30a),
    new Emoji(0x1f4a7, R.drawable.emoji_twitter_1f4a7),
    new Emoji(0x1f4a6, R.drawable.emoji_twitter_1f4a6),
    new Emoji(0x2614, R.drawable.emoji_twitter_2614)
  };

  @Override @NonNull public Emoji[] getEmojis() {
    return DATA;
  }

  @Override @DrawableRes public int getIcon() {
    return R.drawable.emoji_twitter_category_nature;
  }
}
